[ARVADOS-DEV] updated: 565c31196f3ccd4346c8a1ac1e19b1deda22eea6
git at public.curoverse.com
git at public.curoverse.com
Tue Sep 16 17:01:45 EDT 2014
Summary of changes:
jenkins/run-docker-tests.sh | 13 +++++++++++++
jenkins/run-tests.sh | 7 ++++---
2 files changed, 17 insertions(+), 3 deletions(-)
via 565c31196f3ccd4346c8a1ac1e19b1deda22eea6 (commit)
via 7cf1194ba3e69a861a7f88740cd6490193339e67 (commit)
from 61a24458626de4c717cd8999ae57b1c573e3e160 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 565c31196f3ccd4346c8a1ac1e19b1deda22eea6
Author: Ward Vandewege <ward at curoverse.com>
Date: Tue Sep 16 17:01:29 2014 -0400
Only install the latest gem (i.e. the one we just built).
No issue #
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 4724cfa..79a7c62 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -137,7 +137,7 @@ do_test() {
timer_reset
if [[ "$2" == "go" ]]
then
- go test "git.curoverse.com/arvados.git/$1"
+ go test -timeout 20s "git.curoverse.com/arvados.git/$1"
else
"test_$1"
fi
@@ -155,6 +155,7 @@ do_install() {
timer_reset
if [[ "$2" == "go" ]]
then
+ pip install pyyaml
go get -t "git.curoverse.com/arvados.git/$1"
else
"install_$1"
@@ -214,14 +215,14 @@ do_test ruby_sdk
install_ruby_sdk() {
cd "$WORKSPACE/sdk/ruby" \
&& gem build arvados.gemspec \
- && gem install --no-ri --no-rdoc arvados-*.gem
+ && gem install --no-ri --no-rdoc `ls -t arvados-*.gem|head -n1`
}
do_install ruby_sdk
install_cli() {
cd "$WORKSPACE/sdk/cli" \
&& gem build arvados-cli.gemspec \
- && gem install --no-ri --no-rdoc arvados-cli-*.gem
+ && gem install --no-ri --no-rdoc `ls -t arvados-cli-*.gem|head -n1`
}
do_install cli
commit 7cf1194ba3e69a861a7f88740cd6490193339e67
Author: Ward Vandewege <ward at curoverse.com>
Date: Tue Sep 16 16:52:01 2014 -0400
Also build our java-bwa-samtools docker image.
no issue #
diff --git a/jenkins/run-docker-tests.sh b/jenkins/run-docker-tests.sh
index ee57dd3..fccdb23 100755
--- a/jenkins/run-docker-tests.sh
+++ b/jenkins/run-docker-tests.sh
@@ -34,4 +34,17 @@ fi
title "docker build complete"
+title "Starting docker java-bwa-samtools build"
+
+./build.sh java-bwa-samtools-image
+
+ECODE=$?
+
+if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! docker java-bwa-samtools BUILD FAILED !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+fi
+
+title "docker build java-bwa-samtools complete"
+
exit $EXITCODE
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list